<!DOCTYPE html>
<html xmlns:th="http://www.thymeleaf.org" xmlns:dt="http://www.thymeleaf.org/dandelion/datatables">
<head lang="en">
<meta charset="UTF-8" />
<title data-th-text="#{trainingschemesegments.edit}">Weiterbildungsabschnitt bearbeiten</title>
<link rel="stylesheet" href="/styles.css" data-th-href="@{/styles.css}" />
</head>
<body>
	<header>
		<p data-th-replace="fragments/nav::nav" />
	</header>
	<main>
	<form data-th-action="@{/training/trainingschemes/{id}/trainingschemesegments/update(id=${trainingSchemeSegment.trainingScheme.id})}" method="post" th:object="${trainingSchemeSegment}">
		<input type="hidden" data-th-field="*{id}" /> <input type="hidden" data-th-field="*{trainingScheme.id}" />
		<fieldset>
			<legend data-th-text="#{trainingschemesegments.coredata}">Allgemeine Daten</legend>
			<th:block data-th-replace="fragments/forms::singleSelect(field='medicalField', fieldname='trainingschemesegments.medicalfield', options=${medicalFields})" />

			<th:block data-th-replace="fragments/forms::number(field='duration', fieldname='trainingschemesegments.duration')" />
			<th:block data-th-replace="fragments/forms::longText(field='description')" />

			<div data-th-text="#{trainingschemesegments.permittedtreatmenttypes}"></div>
			<div>
				<th:block data-th-each="treatmentType, iterStat: ${treatmentTypes}">
					<input type="checkbox" data-th-field="*{permittedTreatmentTypes}" data-th-value="${treatmentType}" />
					<label data-th-text="#{${treatmentType}}" data-th-for="'permittedTreatmentTypes' + ${iterStat.count}"></label>
				</th:block>
			</div>
		</fieldset>
		<p data-th-replace="fragments/snippets::save" />
	</form>
	</main>
</body>
</html>